<mat-accordion>
  <mat-expansion-panel [expanded]="true" class="mb-2">
    <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
      <mat-panel-title><h6>Sales</h6></mat-panel-title>
    </mat-expansion-panel-header>
    <div [formGroup]="form">
      <div *ngIf="option.name?.isShown || option.phone?.isShown || option.email?.isShown" class="form-row">
        <div *ngIf="option.name?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-8" [ngClass]="{ 'text-danger' : isRequired('name') }">Engineer Name: </label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-3">
            <div class="input-group">
              <input type="text" class="form-control form-control-sm" formControlName="name" />
              <app-user-finder *ngIf="option.userFinder?.isEnabled" id="sales" [group]="form" [option]="option.userFinder"></app-user-finder>
            </div>
            <div *ngIf="name.invalid && (name.dirty || name.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.name?.validators">
                <span *ngIf="name.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
            <div *ngIf="id.invalid && (id.dirty || id.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.id?.validators">
                <span *ngIf="id.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
        <div *ngIf="option.phone?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-8">Engineer Phone: </label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-3">
            <input type="text" class="form-control form-control-sm" formControlName="phone" />
          </div>
        </div>
        <div *ngIf="option.email?.isShown" class="form-group form-group-sm row col-24 col-lg-12">
          <label class="col-form-label col-24 col-lg-8">Engineer Email: </label>
          <div class="col-24 col-lg-16 pl-0 pl-lg-3">
            <input type="text" class="form-control form-control-sm" formControlName="email" />
            <div *ngIf="email.invalid && (email.dirty || email.touched || isSubmitted)">
              <ng-container *ngFor="let validator of option.email?.validators">
                <span *ngIf="email.errors[validator.name]" class="form-text text-danger">
                  {{ validator.message }}
                </span>
              </ng-container>
            </div>
          </div>
        </div>
      </div>
      <input type="hidden" formControlName="id" />
    </div>
  </mat-expansion-panel>
</mat-accordion>
